/*
DL2 Monitor: ./lib/paip.h
Copyright (C) 2002, Rolf Jger, Ulm (Germany)

See the file README for information on usage and redistribution
of this source code file, and for a DISCLAIMER OF ALL WARRANTIES.
*/

/*----------------------------------------------------------------------------
 * Datalink Monitor (paip): Protocol Analysis (IPv4 frame)
 *
 * Definitions to the IP Framing and some of its applications:
 * IP (RFC791), Assigned Numbers (RFC1700), ...
 *
 * Special Notes:
 * From assignments to the IPv4 Protocol field, only certain protocols will
 * be supported: icmp, tcp, udp, ip encapsulation. Others may follow. 
 *   
 * Author: Rolf Jger,Ulm
 *----------------------------------------------------------------------------
 * YYYYMMDD  History
 * 20020330  created from scratch
 * $Id: paip.h,v 1.2 2002/04/09 06:38:42 dv Exp $
 *----------------------------------------------------------------------------
*/
# ifndef __PAIP_H__
# define __PAIP_H__

// Protocol Field Indications:
# define PAIP_T_icmp	0x01		/*Internet Control Message*/
# define PAIP_T_ICMP	PAIP_T_icmp
# define PAIP_T_ip	0x04		/*IP in IP encapsulation*/
# define PAIP_T_IP	PAIP_T_ip
# define PAIP_T_st	0x05		/*Stream*/
# define PAIP_T_ST	PAIP_T_st
# define PAIP_T_tcp	0x06		/*Transmission Control*/
# define PAIP_T_TCP	PAIP_T_tcp
# define PAIP_T_udp	0x11		/*User Datagram*/
# define PAIP_T_UDP	PAIP_T_udp

// others: tbd

# endif /*__PAIP_H__*/
