/*
DL2 Monitor: ./pa/ipcp.h
Copyright (C) 2002, Rolf Jger, Ulm (Germany)

See the file README for information on usage and redistribution
of this source code file, and for a DISCLAIMER OF ALL WARRANTIES.
*/

/*----------------------------------------------------------------------------
 * Datalink Monitor (ipcp): Packet Type ipcp (local)
 * creates the Pa_Packet object pa_ipcp: see pa.h for details. 
 *
 * Author: Rolf Jger,Ulm
 *----------------------------------------------------------------------------
 * YYYYMMDD  History 
 * 20020427  length introduced.
 * 20020410  attention to reserved verbose flags.
 * 20020404  implemented from RFC1332
 * 20020330  created from scratch
 * $Id: ipcp.h,v 1.5 2002/04/29 12:58:57 dv Exp $
 *----------------------------------------------------------------------------
*/
# ifndef __IPCP_H__
# define __IPCP_H__
# include "pa/pa.h"

static Pa_Config pa_ipcp_field[] = {
  {"code","C",0},
  {"request-id","RI",1},
  {"length","L",2},
  {"data","PD",3},
  {"options","",4},
  {"ip-address","IP",5},
  {"ip-compression","CP",6},
  {"dns1s-address","DNS1",7},
  {"dns2s-address","DNS2",8},
  {NULL,NULL,-1}
};
const Pa_Packet pa_ipcp = {"ipcp",pa_ipcp_field};

# define IPCP_Mcode			0x00000001
# define IPCP_Mrequest_id		0x00000002
# define IPCP_Mlength			0x00000004
# define IPCP_Mdata			0x00000008
# define IPCP_Moptions			0x00000010
# define IPCP_Mip_address		0x00000020
# define IPCP_Mip_compression		0x00000040
# define IPCP_Mdns1s_address		0x00000080
# define IPCP_Mdns2s_address		0x00000100
# define IPCP_Mdefault			PA_VMdefault
# define IPCP_Mpacket_length		PA_VMpacket_length

# define IPCP_F_(i)			pa_ipcp_field[i].oname
# define IPCP_Fcode			IPCP_F_(0)
# define IPCP_Frequest_id		IPCP_F_(1)
# define IPCP_Flength			IPCP_F_(2)
# define IPCP_Fdata			IPCP_F_(3)
# define IPCP_Foptions			IPCP_F_(4)
# define IPCP_Fip_address		IPCP_F_(5)
# define IPCP_Fip_compression		IPCP_F_(6)
# define IPCP_Fdns1s_address		IPCP_F_(7)
# define IPCP_Fdns2s_address		IPCP_F_(8)
# define IPCP_Fpacket_length		PA_VFpacket_length
//#undef IPCP_F_

# endif /*__IPCP_H__*/
